Loading...
Searching...
No Matches
XrdPfc::TmpConfiguration Struct Reference

`#include <XrdPfc.hh>`

Collaboration diagram for XrdPfc::TmpConfiguration:

## Public Member Functions

| TmpConfiguration ()

## Public Attributes

std::string | m_diskUsageHWM
std::string | m_diskUsageLWM
std::string | m_fileUsageBaseline
std::string | m_fileUsageMax
std::string | m_fileUsageNominal
std::string | m_flushRaw

## Detailed Description

Definition at line 139 of file XrdPfc.hh.

## Constructor & Destructor Documentation

## TmpConfiguration()

XrdPfc::TmpConfiguration::TmpConfiguration | ( |  | ) |

inline

Definition at line 148 of file XrdPfc.hh.

:
m_diskUsageLWM("0.90"), m_diskUsageHWM("0.95"),
m_flushRaw("")
{}
XrdPfc::TmpConfiguration::m_diskUsageLWM
std::string m_diskUsageLWM
Definition XrdPfc.hh:141
XrdPfc::TmpConfiguration::m_diskUsageHWM
std::string m_diskUsageHWM
Definition XrdPfc.hh:142
XrdPfc::TmpConfiguration::m_flushRaw
std::string m_flushRaw
Definition XrdPfc.hh:146

References m_diskUsageHWM, m_diskUsageLWM, and m_flushRaw.

## Member Data Documentation

## m_diskUsageHWM

std::string XrdPfc::TmpConfiguration::m_diskUsageHWM

Definition at line 142 of file XrdPfc.hh.

Referenced by TmpConfiguration(), and XrdPfc::Cache::Config().

## m_diskUsageLWM

std::string XrdPfc::TmpConfiguration::m_diskUsageLWM

Definition at line 141 of file XrdPfc.hh.

Referenced by TmpConfiguration(), and XrdPfc::Cache::Config().

## m_fileUsageBaseline

std::string XrdPfc::TmpConfiguration::m_fileUsageBaseline

Definition at line 143 of file XrdPfc.hh.

Referenced by XrdPfc::Cache::Config().

## m_fileUsageMax

std::string XrdPfc::TmpConfiguration::m_fileUsageMax

Definition at line 145 of file XrdPfc.hh.

Referenced by XrdPfc::Cache::Config().

## m_fileUsageNominal

std::string XrdPfc::TmpConfiguration::m_fileUsageNominal

Definition at line 144 of file XrdPfc.hh.

Referenced by XrdPfc::Cache::Config().

## m_flushRaw

std::string XrdPfc::TmpConfiguration::m_flushRaw

Definition at line 146 of file XrdPfc.hh.

Referenced by TmpConfiguration(), and XrdPfc::Cache::Config().

The documentation for this struct was generated from the following file:

- XrdPfc.hh